
/**
 * Die Klasse Wasserkochersteuerung.
 * 
 * @author Klaus Reinold 
 * @version 1.0
 */
class Wasserkochersteuerung
{
    // Attribute
    private double aktuelleTemperatur;
    private double zielTemperatur;
    private String einheit;
    
    /**
     * Belegt die Attribute mit den Startwerten
     */
    Wasserkochersteuerung()
    {
        aktuelleTemperatur = 23;
        zielTemperatur = 100;
        einheit = "°C";
        Anzeigen();
    }

    
    // weitere Methoden
    double TemperaturGeben()
    {
        return aktuelleTemperatur;
    }
    
    void TemperaturAusgeben()
    {
        System.out.println(aktuelleTemperatur+" "+einheit);
    }
    
    double ZieltemperaturGeben()
    {
        return zielTemperatur;
    }
    
    void ZieltemperaturAusgeben()
    {
        System.out.println(zielTemperatur+" "+einheit);
    }
    
    String EinheitGeben()
    {
        return einheit;
    }
    
    void EinheitAusgeben()
    {
        System.out.println(einheit);
    }
    
    void ZieltemperaturSetzen(double zielTemperaturNeu)
    {
        zielTemperatur = zielTemperaturNeu;
        Anzeigen();
    }
    
    void AktuelleTemperaturSetzen(double aktTemperaturNeu)
    {
        aktuelleTemperatur = aktTemperaturNeu;
        Anzeigen();
    }
    
    /**
     * Mögliche Eingaben: "°C", "°F"
     */
    void TemperatureinheitWechseln(String einheitNeu)
    {
        if(!(einheit == einheitNeu))
        {
            double faktor;
            double summand;
            if(einheit == "°F")
            {
                faktor = 0.556;
                summand = -17.778;
                einheit = "°C";
            }
            else
            {
                faktor = 1.8;
                summand = 32;
                einheit = "°F";
            }
            aktuelleTemperatur = aktuelleTemperatur * faktor + summand;
            zielTemperatur = zielTemperatur * faktor + summand;
            Anzeigen();
        }
    }
    
    void Anzeigen()
    {
        //muss nicht weiter beachtet werden; sorgt nur für die korrekte 
        //Anzeige, mit Mitteln, die noch nicht im Unterricht behandelt wurden.
        Wasserkocheranzeige.Geben().AnzeigeSetzen(einheit, aktuelleTemperatur, zielTemperatur);
    }

    void Anschalten()
    {
        //muss nicht weiter beachtet werden; sorgt nur für die korrekte 
        //Anzeige, mit Mitteln, die noch nicht im Unterricht behandelt wurden.
        Wasserkocheranzeige.Geben().Anschalten();
    }
}
